Skip to main content
POST
/
queues
/
{queue_id}
/
cases
Create case
curl --request POST \
  --url https://api.duvo.ai/v1/queues/{queue_id}/cases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cases": [
    {
      "title": "<string>",
      "data": "<string>",
      "labels": [
        {
          "value": "<string>",
          "key": ""
        }
      ]
    }
  ]
}
'
{
  "added_cases": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "data": "<string>",
      "claimed_at": "<string>",
      "claimed_by_run_id": "<string>",
      "completed_at": "<string>",
      "postponed_to": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by_user_name": "<string>",
      "created_by_user_email": "<string>",
      "agent_run_status": "<string>",
      "agent_run_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pending_human_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pending_approval_batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pending_approval_assignee_user_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "approval_approved_count": 4503599627370495,
      "approval_rejected_count": 4503599627370495,
      "labels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "<string>",
          "value": "<string>",
          "color_hue": 180
        }
      ],
      "search_match_data_snippet": {
        "before": "<string>",
        "match": "<string>",
        "after": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

queue_id
string<uuid>
required

The queue's unique identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Body

application/json
case
object
cases
object[]
Required array length: 1 - 100 elements

Response

Default Response

added_cases
object[]
required